Perl Addon 5.5.8 in aktueller xampp-Version

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

Perl Addon 5.5.8 in aktueller xampp-Version

Postby s-byte » 04. January 2008 07:30

Moin,

kann das mal jemand versuchen?
Fehlermeldung: Apache Version 2.2.4 not found.
Installiert ist 2.2.6!

Ja es ist jedesmal die Installerversion...

Danke!

Peter
s-byte
 
Posts: 3
Joined: 31. December 2007 17:21

Postby kvo » 04. January 2008 18:02

Hallo Peter!

Aufgrund einiger Ungereimtheiten in der win32 Source des Apache 2.2.6 war es bisher nicht möglich, das mod_perl funktionierte. Jedoch baue ich gerade (wieder) an einem "xampp-win32-perl-addon-5.8.8-2.2.6", also ein Perl-Addon für den XAMPP 1.6.4 und 1.6.5 mit dem Apache 2.2.6. Bisher sieht es ganz gut aus. Ich denke, ich bin am Sonntag soweit, so dass du das neue Addon an gewohnter Stelle auf der xampp win32 Seite als frisches Perl-Addon herunterladen kannst.

Liebe Grüße!

kay
User avatar
kvo
Apache Friends
 
Posts: 184
Joined: 24. January 2003 14:03
Location: Berlin

Postby s-byte » 04. January 2008 20:36

kvo wrote:ch denke, ich bin am Sonntag soweit, so dass du das neue Addon an gewohnter Stelle auf der xampp win32 Seite als frisches Perl-Addon herunterladen kannst.


Hi,

Danke! für die anstrengungen...

Ich brauch das für den Dumper ;(

Peter
s-byte
 
Posts: 3
Joined: 31. December 2007 17:21

Postby Wiedmann » 04. January 2008 20:51

Fehlermeldung: Apache Version 2.2.4 not found.
Ich brauch das für den Dumper ;(

Das Problem betrifft nur mod_perl und nicht das Perl-CGI.

Da der Perl-AddOn Installer aber direkt nach einer Apache-Version sucht, hättest du im Moment noch diese Möglichkeit:
- XAMPP 1.6.3 installieren
- XAMPP Perl-AddOn installieren
- mod_perl deaktivieren (setup_xampp.bat)
- XAMPP upgraden von 1.6.3 auf 1.6.4
- XAMPP upgraden von 1.6.4 auf 1.6.5
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby kvo » 06. January 2008 16:00

Sorry, es ging doch noch nicht! :(

Übersetzung okay, tests failed. Auch die Source des Apache 2.2.6-r2 win32 hat hier irgendeinen Fehler. Habe es aus Verzweifelung mit dem Derivat von http://www.apachelounge.com/download/ probiert. Hierzu muss Visual Studio® 2005 Service Pack 1 installiert sein. Allerdings lief der Apache von apachelounge auf einem Rechner, auf dem anderen Rechner nicht. Und das unabhängig, ob Visual Studio® 2005 Service Pack 1 installiert war oder nicht. Ein experimentelles XAMPP Perl-Addon auf mit dem Apache 2.2.6 von "apachelounge" und Perl 5.8.8 plus mod_perl von mir findet man auf meinem Root-Server:

http://www.surf-4-you.de/xampp/perl-win32-addons/

Achtung! Auf einem neutralen Rechner probieren oder unbedingt vorher eine Sicherheitskopie vom XAMPP machen! Die Wahrscheinlichkeit, das es nicht läuft und man seinen XAMPP ruiniert, liegt bei mehr als 50%.

Wir müssen hier wohl warten, bis der Apache 2.2.7 herauskommt.
User avatar
kvo
Apache Friends
 
Posts: 184
Joined: 24. January 2003 14:03
Location: Berlin


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 5 guests

cron